# Generated by go2rpm 1
%bcond_without check
%bcond_with network

# https://github.com/google/slothfs
%global goipath         github.com/google/slothfs
%global commit          6b42407d92304fdd6ca14611235904bc04e62847

%gometa

%global common_description %{expand:
SlothFS is a FUSE filesystem that provides light-weight, lazily downloaded,
read-only checkouts of manifest-based Git projects. It is intended for use with
Android.}

%global golicenses      LICENSE
%global godocs          docs README.md

Name:           %{goname}
Version:        0
Release:        0.4%{?dist}
Summary:        FUSE filesystem for light-weight, lazily-loaded, read-only Git

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
# Increase a timeout for slow armv7hl.
Patch0001:      increase-timeout.patch

BuildRequires:  golang(github.com/fsnotify/fsnotify)
BuildRequires:  golang(github.com/hanwen/go-fuse/fuse)
BuildRequires:  golang(github.com/hanwen/go-fuse/fuse/nodefs)
BuildRequires:  golang(github.com/libgit2/git2go)
BuildRequires:  golang(golang.org/x/net/context)
BuildRequires:  golang(golang.org/x/time/rate)
BuildRequires:  golang(gopkg.in/src-d/go-git.v4)
BuildRequires:  golang(gopkg.in/src-d/go-git.v4/plumbing)
BuildRequires:  golang(gopkg.in/src-d/go-git.v4/plumbing/filemode)
BuildRequires:  golang(gopkg.in/src-d/go-git.v4/plumbing/object)

%if %{with check}
# Tests
BuildRequires:  git-core
BuildRequires:  golang(github.com/kylelemons/godebug/pretty)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0001 -p1

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
git config --global user.email "koji@fedoraproject.org"
git config --global user.name "Koji Build System"
# Skip these tests which use fuse.
%gocheck \
    -d github.com/google/slothfs/fs \
    -d github.com/google/slothfs/populate \
%if %{without network}
    -d github.com/google/slothfs/gitiles \
%endif
    %nil
%endif

%files
%license LICENSE
%doc docs README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Oct 18 04:30:04 EDT 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.1.20191018git6b42407
- Initial package
